hadoop-common-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Allen Wittenauer <allenwittena...@yahoo.com.INVALID>
Subject Re: [DISCUSS] upgrade tomcat from 6.0.44 to 6.0.45 and use non apache.org mirror
Date Tue, 17 May 2016 22:11:17 GMT

> On May 17, 2016, at 2:08 PM, Wangda Tan <wheeleast@gmail.com> wrote:
> 
> Then I investigated a little more, there're two issues from what I can see
> 1) If you look at http://archive.apache.org/dist/, it clearly says:
> *> Please do not download from apache.org <http://apache.org>!*
> 
> 2) And also, http://archive.apache.org/dist/ says:
>> Older *non-recommended* releases can be found on our archive site
> <http://archive.apache.org/dist/>.
> 
> We're using tomcat with version=6.0.44, on other Apache mirror site, only
> 6.0.45 tomcat is downloadable.

	archive will generally have older releases, the apache mirrors will only have relatively
current releases.  Which means as soon as that project’s release managers decide, the download
will disappear and the build will fail.  

	After having spent a large, significant chunk of my (unpaid) night and day fixing lots of
idiotic, historical things on the Jenkins servers (and just for trunk.  someone’s going
to have to pony up cash for me to care about branch-2), this is going to cause more heartache
than what it’s worth.  We do a crap job of maintaining build stuff for things we actually
care about on a regular basis, much less two components that only get attention maybe once
or twice a year.
---------------------------------------------------------------------
To unsubscribe, e-mail: common-dev-unsubscribe@hadoop.apache.org
For additional commands, e-mail: common-dev-help@hadoop.apache.org


Mime
View raw message